<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('actions', function (Blueprint $table) {
            $table->id();
            $table->string('act_name', 50)->unique()->comment('动作名称');
            $table->string('alias', 50)->nullable()->comment('动作别名');
            $table->string('toall', 200)->nullable()->comment('对所有人表现');
            $table->string('toself', 200)->nullable()->comment('对自己的表现');
            $table->string('toother', 200)->nullable()->comment('对其他人的表现');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('actions');
    }
};
